VERTICAL-STATION-MIB
70 objects
No module-level DESCRIPTION found.
Imported Objects
| RFC-1212 | OBJECT-TYPE |
| RFC-1215 | TRAP-TYPE |
| RFC1155-SMI | enterprises Gauge |
| RFC1213-MIB | DisplayString |
| OID | Name | Access | Status | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2338 | Nodevertical | |||
| 1.3.6.1.4.1.2338.7 | NodevStationModule | |||
| 1.3.6.1.4.1.2338.7.1 | NodevStationCommonGroup | |||
| 1.3.6.1.4.1.2338.7.1.1 | ScalarvStationFirstDigitTimeout | read-write | mandatory | Specifies the maximum number of seconds to wait for the first digit. |
| 1.3.6.1.4.1.2338.7.1.2 | ScalarvStationDigitTimeout | read-write | mandatory | Specifies the maximum number of seconds to wait between digits. |
| 1.3.6.1.4.1.2338.7.1.3 | ScalarvStationOffHookTimeout | read-write | mandatory | Specifies the maximum number of seconds to wait for the user to hang up phone after call disconnects or user executes an invalid operation. Howler tone is appl… |
| 1.3.6.1.4.1.2338.7.1.4 | ScalarvStationNumStationCards | read-write | mandatory | Specifies the number of station cards installed in the system. |
| 1.3.6.1.4.1.2338.7.1.5 | ScalarvStationExternalDialDigit | read-write | mandatory | Identifies the starting digit for making an external call. |
| 1.3.6.1.4.1.2338.7.2 | NodevStationCardGroup | |||
| 1.3.6.1.4.1.2338.7.2.1 | TablevStationCardTable | not-accessible | current | Table of status, control and configuraion about cards containing station devices within the system. There are as many entries as there are cards containing sta… |
| 1.3.6.1.4.1.2338.7.2.1.1 | RowvStationCardEntry | not-accessible | mandatory | An entry in the Vertical Station Card table. |
| 1.3.6.1.4.1.2338.7.2.1.1.1 | ColumnvStationCardSlotNumber | read-only | mandatory | Physical slot in the system in which the card is installed. |
| 1.3.6.1.4.1.2338.7.2.1.1.2 | ColumnvStationCardType | read-only | mandatory | The Vertical's card Type. The following types are defined: card-type-NOT-CONFIGURED = 0, card-type-24-CHANNEL-STATION = 2, card-type-BRIDGE1 = 4 |
| 1.3.6.1.4.1.2338.7.2.1.1.3 | ColumnvStationCardIOPortAddress | read-only | mandatory | The ISA bus base address for this Card. |
| 1.3.6.1.4.1.2338.7.2.1.1.4 | ColumnvStationCardState | read-only | mandatory | The current status of the card. The valid values are 0 -> Disabled, 1 -> Enabled, 0xff -> Removed. |
| 1.3.6.1.4.1.2338.7.2.1.1.5 | ColumnvStationCardErrorLED | read-only | mandatory | All Vertical cards have an ERROR LED and a READY LED. The combined values of these LEDs are as follows - ERRORLed READYLed VALUE OPERATIONAL DEFINITION OFF OFF… |
| 1.3.6.1.4.1.2338.7.2.1.1.6 | ColumnvStationCardReadyLED | read-only | mandatory | All Vertical cards have a READY LED and an ERROR LED. The combined values of these LEDs are as follows - ERRORLed READYLed OPERATIONAL DEFINITION OFF OFF inval… |
| 1.3.6.1.4.1.2338.7.2.2 | TablevStationDeviceTable | not-accessible | current | Table of status, control and configuraion about station devices within the system. There are as many entries as there are station devices. |
| 1.3.6.1.4.1.2338.7.2.2.1 | RowvStationDeviceEntry | not-accessible | mandatory | An entry in the Vertical Station device Configuration table. |
| 1.3.6.1.4.1.2338.7.2.2.1.1 | ColumnvStationDeviceSlotNumber | read-only | mandatory | Physical slot number inside the system in which the card containing this device is installed |
| 1.3.6.1.4.1.2338.7.2.2.1.2 | ColumnvStationDeviceDeviceNumber | read-only | mandatory | The logical device number for this station device in its card. |
| 1.3.6.1.4.1.2338.7.2.2.1.3 | ColumnvStationDeviceIfIndex | read-only | mandatory | The interface Index for this device. The value for this object correlates to the IfIndex found in MIB-II. |
| 1.3.6.1.4.1.2338.7.2.2.1.4 | ColumnvStationDeviceBaseIOAddress | read-only | mandatory | The ISA bus base address for this Card. |
| 1.3.6.1.4.1.2338.7.2.2.1.5 | ColumnvStationDeviceEnabled | read-write | mandatory | Setting this variable to Disabled will disable this particular station device. |
| 1.3.6.1.4.1.2338.7.2.2.1.6 | ColumnvStationDeviceInterrupt | read-only | mandatory | Interrupt Request level for this card. |
| 1.3.6.1.4.1.2338.7.2.2.1.7 | ColumnvStationDeviceNumChannels | read-only | mandatory | The ISA bus address for this Card. |
| 1.3.6.1.4.1.2338.7.2.2.1.8 | ColumnvStationDeviceMVIPStartingChannel | read-only | mandatory | Vertical card revision level. |
| 1.3.6.1.4.1.2338.7.2.2.1.9 | ColumnvStationDeviceMVIPStream | read-only | mandatory | Vertical card identification number. |
| 1.3.6.1.4.1.2338.7.2.2.1.10 | ColumnvStationDeviceType | read-only | mandatory | Specifies the Type of this device Valid values are : dev-undef, // 0 : undefined dev-station, // 8 : Station channels |
| 1.3.6.1.4.1.2338.7.2.2.1.11 | ColumnvStationDeviceChangePending | read-write | mandatory | Interrupt Request level for this card/trunk. |
| 1.3.6.1.4.1.2338.7.2.3 | TablevStationChannelTable | not-accessible | current | Table of status, control and configuraion about station device channels within the system. There is an entry for each channel of each station device. |
| 1.3.6.1.4.1.2338.7.2.3.1 | RowvStationChannelEntry | not-accessible | mandatory | An entry in the Vertical Station device Configuration table. |
| 1.3.6.1.4.1.2338.7.2.3.1.1 | ColumnvStationChannelIndex | read-only | mandatory | This is the logical channel number of the channel within its station device. For 12 channel station devices, it is between 1 and 12 and for 24 channel stations… |
| 1.3.6.1.4.1.2338.7.2.3.1.2 | ColumnvStationChannelSlotNumber | read-only | mandatory | The value for this object is the logical number of the slot in which the card containing this channel is located (vStationDeviceSlotNumber). |
| 1.3.6.1.4.1.2338.7.2.3.1.3 | ColumnvStationChannelDeviceNumber | read-only | mandatory | The value for this object is the logical device number of the device containing this channel within its slot, ie vStationDeviceDeviceNumber |
| 1.3.6.1.4.1.2338.7.2.3.1.4 | ColumnvStationChannelChannelType | read-write | mandatory | The Channel Type. Valid values are 1 -> Loop Start |
| 1.3.6.1.4.1.2338.7.2.3.1.5 | ColumnvStationChannelMWIType | read-write | mandatory | Defines the type of Message Waiting Indication. The valid values are : 1 -> stutter, 2 -> lamp. |
| 1.3.6.1.4.1.2338.7.2.3.1.6 | ColumnvStationChannelOperationMode | read-write | mandatory | Defines the operation mode of the channel. Valid values are : 1 -> station, 2 -> voiceMail, 3 -> PBX. |
| 1.3.6.1.4.1.2338.7.2.3.1.7 | ColumnvStationChannelState | read-write | mandatory | Indicates the operational status of this channel. Valid values are: 0 -> disabled, 1 -> enabled, 2 -> not configured |
| 1.3.6.1.4.1.2338.7.2.3.1.8 | ColumnvStationChannelType | read-write | mandatory | The phone type for this particular channel. Valid values are: 1 -> basic, 2 -> callerID, 3 -> callerID-callWaiting (caller ID with call waiting). |
| 1.3.6.1.4.1.2338.7.2.3.1.9 | ColumnvStationChannelCallState | read-only | mandatory | Indicates the phone call state of this channel. Valid values are: call-state-VOID (0), -> invalid state call-state-IDLE (1), -> the line is in idle state call-… |
| 1.3.6.1.4.1.2338.7.2.3.1.10 | ColumnvStationChannelCalledPartyNumber | read-only | mandatory | Indicates the called party number, either an internal extension or external number. |
| 1.3.6.1.4.1.2338.7.2.3.1.11 | ColumnvStationChannelCallingPartyNumber | read-only | mandatory | Indicates the calling party number, either an internal extension or external number. |
| 1.3.6.1.4.1.2338.7.2.3.1.12 | ColumnvStationChannelChangePending | read-write | mandatory | Indicates that a change to the channel values have been made to the registry. The intepretation of the values are : 1 => change made to the registry, but not i… |
| 1.3.6.1.4.1.2338.7.3 | NodevStationDigitTableGroup | |||
| 1.3.6.1.4.1.2338.7.3.1 | TablevStationFirstDigitTable | not-accessible | current | Table of settings for each digits (0-9) which may be dialled as the first digit. There are 10 entries, one for each digit, in this table. |
| 1.3.6.1.4.1.2338.7.3.1.1 | RowvStationFirstDigitEntry | not-accessible | mandatory | An entry in the Vertical Station First Digit Table. |
| 1.3.6.1.4.1.2338.7.3.1.1.1 | ColumnvStationDigitIndex | read-only | mandatory | This is the index to an entry in the first digit table |
| 1.3.6.1.4.1.2338.7.3.1.1.2 | ColumnvStationDigitString | read-only | mandatory | The first digit string . Valid values : '0' to '9' |
| 1.3.6.1.4.1.2338.7.3.1.1.3 | ColumnvStationDigitCallType | read-write | mandatory | Type of call generated by this digit. Valid values are : fc-VOID (0), // undefined feature code fc-HOLD-CALL (1), fc-PARK-CALL (2), fc-STATION-CALL (3), fc-LON… |
| 1.3.6.1.4.1.2338.7.3.1.1.4 | ColumnvStationDigitMoreDigits | read-write | mandatory | The number of additional digits to collect after the matched digits. |
| 1.3.6.1.4.1.2338.7.3.1.1.5 | ColumnvStationDigitTimeout2 | read-write | mandatory | Indicates whether the dialling should terminate on a timeout. valid values are : dontTerminate -> 0 terminate -> 1 |
| 1.3.6.1.4.1.2338.7.3.1.1.6 | ColumnvStationDigitStripDigits | read-write | mandatory | Indicates the number of leading digits to strip from the digitss collected before they are reported up to the connection manager. |
| 1.3.6.1.4.1.2338.7.4 | NodevStationExtVoiceMailGroup | |||
| 1.3.6.1.4.1.2338.7.4.1 | NodevStationATTSystem25Group | |||
| 1.3.6.1.4.1.2338.7.4.1.1 | ScalarvStationMWILampON | read-write | mandatory | Command expected from the external voice mail system to turn on a station's lamp. |
| 1.3.6.1.4.1.2338.7.4.1.2 | ScalarvStationMWILampOFF | read-write | mandatory | Command expected from the external voice mail system to turn off a station's lamp. |
| 1.3.6.1.4.1.2338.7.4.1.3 | TablevStationVMCallHandleTable | not-accessible | current | Table of settings and commands for accessing the voice mail port for different types of access, i.e. external caller coming directly to voice mail port, extern… |
| 1.3.6.1.4.1.2338.7.4.1.3.1 | RowvStationVMCallHandleEntry | not-accessible | mandatory | An entry in the Vertical Station Voice Mail call handle table. |
| 1.3.6.1.4.1.2338.7.4.1.3.1.1 | ColumnvStationVMCallHandleIndex | read-only | mandatory | This is the index to an entry in the Voice Mail call handle table. |
| 1.3.6.1.4.1.2338.7.4.1.3.1.2 | ColumnvStationVMCallHandleType | read-only | mandatory | Indicates the type of access to voice mail port made. valid values are : directExternal (1) -> An external caller coming directly into the voice mail port. for… |
| 1.3.6.1.4.1.2338.7.4.1.3.1.3 | ColumnvStationVMCallHandleOpcode | read-write | mandatory | The opcode string for this operation. |
| 1.3.6.1.4.1.2338.7.4.1.3.1.4 | ColumnvStationVMCallHandleSRCNumber | read-write | mandatory | The source number format string. It contains a C type '%s' where the source number would be filled in |
| 1.3.6.1.4.1.2338.7.4.1.3.1.5 | ColumnvStationVMCallHandleDSTNumber | read-write | mandatory | The destination number format string. It contains a C type '%s' where the destination number would be filled in |
| 1.3.6.1.4.1.2338.12 | NodevStationCannotPlayTone | This notification is sent when the specific channel cannot play tone. | ||
| 1.3.6.1.4.1.2338.13 | NodevStationCannotCancelTone | This notification is sent when the specific channel cannot cancel tone. | ||
| 1.3.6.1.4.1.2338.14 | NodevStationCannotAttachDigitCollector | This notification is sent when the specific channel cannot attach digits collected | ||
| 1.3.6.1.4.1.2338.15 | NodevStationCannotReleaseDigitCollector | This notification is sent when the specific channel cannot release digits collected | ||
| 1.3.6.1.4.1.2338.16 | NodevStationRECONFIG-COMPLETE | This notification is sent when the specific station device successfully reads and incorporates the values from the registry. | ||
| 1.3.6.1.4.1.2338.17 | NodevStationRECONFIG-ERROR | This notification is sent when the specific station device fails to incorporate the values read from the registry. |